

########################################

#Incorporating expert feature data set

########################################



#the expert feature data set prepared by JY
meta <- read.csv(file="cbis-ddsm_meta.csv")

#prediction result from GUIDE as input
metapred <- read.table(file="magic.fitted",header=T)

#allsamples file from expert_features.r
allsamples <- read.table("cbis_guide_rownames.txt")
meta.id <- sapply(1:nrow(meta), function(k) grep(meta[k,1], rownames(allsamples)))

meta.id <- sapply(1:nrow(allsamples), function(k) grep(rownames(allsamples)[k], meta[,1]))



allsamples.meta <- data.frame(allsamples, meta[meta.id,])

allsamples.meta <- allsamples.meta[,-5]



mergedat <- data.frame(allsamples.meta, metapred)

mergedat <- mergedat[,c("cancer","P.MALIGNANT.","breast_density",

"mass.shape", "mass.margins", "assessment","subtlety","train")]

colnames(mergedat)[2:3] <- c("prob.malignant","breast.density")



#write to a file

#this file is used to make the final GUIDE prediction 

write.csv(mergedat, file="mergedat.csv", quote=FALSE, row.names=FALSE)



############

#THE END

############

